IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_99_1857_wrkapply_before]') AND type = 'P')
DROP PROCEDURE [dbo].[order_99_1857_wrkapply_before]
GO

-- 生成时间:2018-06-22 10:46:06 by ebs-core  
CREATE  procedure order_99_1857_wrkapply_before(
     @cmpid int, 
     @useruid int,
     @bizid int, 
     @ordid bigint, 
     @wrkid int, 
     @jbid bigint, 
     @wsid int, 
     @wsstatus nvarchar(50), 
     @operation varchar(50) output, 
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from order_99 where ord_id=@ordid 
 ---- 以下是开发人员写的 before apply job 事件 --------------
 /*验证店铺编号是否存在*/
if exists(select * from order_188 e with(nolock),#master  n where e.ord_dpbh =n.ord_dpbh  and e.ord_id != n.ord_id)
set @operation ='abort'
    set @errorinfo ='店铺编号已存在'
    

 ---- 以上是开发人员写的 before apply job 事件 --------------
 
 if (@operation='continue') 
 begin
 set @nonedate= @nonedate  -- here useless 
 
end 
--- 清除临时表 
exec drop_temp_table '#master' 

set nocount off 
end